org.python.modules._locale

## Interface PyLocale

- All Superinterfaces:
    DateSymbolLocale
  All Known Implementing Classes:
    CEmulationLocale, JyLocale

      public interface PyLocale
      extends DateSymbolLocale

  Definition of a Python native locale implementation. Based on Python locale module behaviour and implicit dependencies, and the `_localemodule.c` implementation in CPython. It is recommended classes implementing this interface are made immutable.
  Since:
    Jython 2.7.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyString` | `getLocaleString()`
    `PyString` | `getUnderlyingLocale()`
    `PyDictionary` | `localeconv()`
    `int` | `strcoll(PyString str1, PyString str2)`
    `PyString` | `strxfrm(PyString str1)`

    - ### Methods inherited from interface org.python.modules._locale.DateSymbolLocale

      `getAmPmStrings, getMonths, getShortMonths, getShortWeekdays, getWeekdays`

- - ### Method Detail

    - #### localeconv

          PyDictionary localeconv()

    - #### getLocaleString

          PyString getLocaleString()

    - #### getUnderlyingLocale

          PyString getUnderlyingLocale()

    - #### strcoll

          int strcoll(PyString str1,
                      PyString str2)

    - #### strxfrm

          PyString strxfrm(PyString str1)

Jython homepage